Bug 134577 - www/apache22: build faild with mod_auth_digest
www/apache22: build faild with mod_auth_digest
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: apache
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-16 14:10 UTC by pvizeli
Modified: 2010-05-07 07:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pvizeli 2009-05-16 14:10:01 UTC
I can't build apache22.

The configure script from mod_auth_digest say, that i musst build
APR with options:
 --with-egd
 --with-devrandom

Fix: 

I change the Makefile to:

CONFIGURE_ARGS= --prefix=${PREFIX_RELDEST} \
                --enable-layout=FreeBSD \
                --with-perl=${PERL5} \
                --with-port=${WITH_HTTP_PORT} \
                --with-expat=${LOCALBASE} \
                --with-iconv=${LOCALBASE} \
                --enable-http \
                --with-egd \
                --with-devrandom \
                --with-pcre=${LOCALBASE}
How-To-Repeat: Make a "portsnap fetch update" and going into www/apache22.
Now you can attempt to build this port.
Comment 1 pgollucci freebsd_committer 2009-05-17 02:04:21 UTC
State Changed
From-To: open->analyzed

fix synopsis and assign 



Comment 2 pgollucci freebsd_committer 2009-05-17 02:04:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

fix synopsis and assign
Comment 3 dfilter freebsd_committer 2010-05-07 03:27:00 UTC
pgollucci    2010-05-07 02:26:46 UTC

  FreeBSD ports repository

  Modified files:
    devel/apr            Makefile 
  Log:
  1/2: OPTIONS+=   EGD and DEVRANDOM
       which allow mod_auth_digest to build
       next www/apache2* need to pass it through
       Default package doesn't change
  
  PR:             ports/134577
  Requested by:   Pascal Vizeli <pvizeli@yahoo.de>
  With Hat:       apache@
  
  Revision  Changes    Path
  1.99      +25 -1     ports/devel/apr/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 pgollucci freebsd_committer 2010-05-07 04:29:58 UTC
State Changed
From-To: analyzed->closed

works with both www/apache20 and www/apache22
Comment 5 pgollucci freebsd_committer 2010-05-07 04:31:49 UTC
State Changed
From-To: closed->open

wrong pr
Comment 6 pgollucci freebsd_committer 2010-05-07 06:57:06 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 7 dfilter freebsd_committer 2010-05-07 06:57:12 UTC
pgollucci    2010-05-07 05:56:58 UTC

  FreeBSD ports repository

  Modified files:
    www/apache22         Makefile 
  Log:
  2/2:    fix mod_auth_digest builds which needs EGD and DEVRANDOM.
          This fixes both bundled apr using the port (devel/apr for WITH_APR_FROM_PORTS)
  
  PR: ports/134577
  Requested by: Pascal Vizeli <pvizeli@yahoo.de>
  With Hat: apache@
  
  Revision  Changes    Path
  1.263     +11 -0     ports/www/apache22/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"